Subject: bug#7785: bug#6784: bug#7785: rgrep is broken on woe32

From: Chong Yidong <[email-masked]>
Date: Sat, 08 Jan 2011 16:00:43 -0500

Eli Zaretskii <[email-masked]> writes:

> The discussions in that bug report concluded that the program file
> name after the pipe needs to be quoted, in order for it to work with
> file names that use forward- and back-slashes alike.  I can solve that
> problem for rgrep (and for other similar commands) by tweaking the
> templates used by grep.el, so as to quote the %s after the pipe
> character `|'.  Would that be an okay solution?

I think this is an acceptable solution, and agree that changing cmdproxy
to handle this intelligently sounds like a nightmare.

> The disadvantage is, of course, that similar solutions will have to be
> implemented for each Emacs command that launches a shell pipeline.

Let's just fix these individually as the problems are reported.